INDEX(3) | Library Functions Manual | INDEX(3)

# NAME

`index` —
locate character in string

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <strings.h>`

char *
`index`(const char *s, int c);

# DESCRIPTION

The `index`() function locates the first character matching c (converted to a char) in the nul-terminated string s.

This function is obsolete. The equivalent function strchr(3) should be used instead.

# RETURN VALUES

A pointer to the character is returned if it is found; otherwise `NULL` is returned. If c is '\0', `index`() locates the terminating '\0'.

# SEE ALSO

memchr(3), rindex(3), strchr(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)

# STANDARDS

The `index`() function conforms to IEEE Std 1003.1-2001 (“POSIX.1”). The IEEE Std 1003.1-2004 (“POSIX.1”) revision marked it as legacy and recommended the use of strchr(3) instead. The IEEE Std 1003.1-2008 (“POSIX.1”) revision removed `index`() from the specification.

# HISTORY

An `index`() function appeared in Version 6 AT&T UNIX.

May 5, 2012 | NetBSD 9.0